#version 420

uniform isampler2D intRands;
in vec2 fragTexCoord;

out uvec4 result;

void main( void ) 
{
	int value = texture( intRands, fragTexCoord ).x;
    result    = uvec4( value, 0, value, 0 );
}